MCP Tools Reference: datamigration

Tool: list_static_ips

When you migrate a database into Google Cloud using DMS, Google needs a way to securely connect to your source database to read the data. If you choose the Static-IP connectivity method to connect to your source database, you will need to allow incoming traffic from DMS's specific, trusted IPs. This tool lists the IP addresses (matching the provided resource name) that should be allowlisted by the customer.

  • The resource name parameter is in the form projects/{project name}/locations/{location}, for example: projects/my-project/locations/us-central1.

The following sample demonstrate how to use curl to invoke the list_static_ips MCP tool.

Curl Request
                  
curl --location 'https://datamigration.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_static_ips",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request message for 'ListStaticIps' request.

ListStaticIpsRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. The resource name for the location for which static IPs should be returned. Must be in the format projects/*/locations/*. For example: 'projects/my-project/locations/us-central1'

Output Schema

Response message for a 'FetchStaticIps' request.

FetchStaticIpsResponse

JSON representation
{
  "staticIps": [
    string
  ],
  "nextPageToken": string
}
Fields
staticIps[]

string

List of static IPs.

nextPageToken

string

A token that can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌